Online Now  

/v1/account/

Manages Access to the AppointmentTrader Account
GET

/v1/account/get_incoming_payment_session

#
Returns details of the incoming payment session and information on whether it has been completed or is still pending.

Parameters

NameTypeRequiredDefaultDescription
uniquePaymentSessionID string Yes — unique session id returned by /v1/account/set_start_incoming_payment_session
Request example (cURL)
curl --get \
  'https://ca.appointmenttrader.com/v1/account/get_incoming_payment_session' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'uniquePaymentSessionID={{uniquePaymentSessionID}}'

Returns

JSON
See the shared response schema and synthetic example.
Response fields
FieldTypeRequiredDescription
$account_get_incoming_payment_session_Response Yes
$.oneOf[0] Yes
$.oneOf[0].allOf[0]object Yes
$.oneOf[0].allOf[0].RequestUserAliasstring Yes
$.oneOf[0].allOf[0].RequestPathstring | null Yes
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Yes
$.oneOf[0].allOf[0].ResponseCodeinteger Yes
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object Yes
$.oneOf[0].allOf[1].Payloadobject Yes
$.oneOf[0].allOf[1].Payload.Namestring Yes
$.oneOf[0].allOf[1].Payload.MetaInformationarray Yes
$.oneOf[0].allOf[1].Payload.MetaInformation[]string No
$.oneOf[0].allOf[1].Payload.KeyValueListarray Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[]object No
$.oneOf[0].allOf[1].Payload.KeyValueList[].uniquePaymentSessionIDstring Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].createDatestring Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].lastUpdateDatestring Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].expiryDatestring Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].sessionStatusstring ["active","expired"] Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentTypestring Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSecondsDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].userAliasstring Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionReferenceIDstring Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionDescriptionstring Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmountDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmountDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0]object Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].DestinationAccountstring No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[0]string | number | boolean | null No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1]array No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1][]PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2]object No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2].*PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1]array Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][]PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[0]string | number | boolean | null No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1]array No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1][]PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2]object No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2].*PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[2]string | number | boolean | null Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].fundingStatusstring ["not_funded","funded"] Yes
$.oneOf[0].allOf[1].Payload.KeyValueFieldListarray Yes
$.oneOf[0].allOf[1].Payload.KeyValueFieldList[]string No
$.oneOf[1]object Yes
$.oneOf[1].RequestUserAliasstring Yes
$.oneOf[1].RequestPathstring | null Yes
$.oneOf[1].RequestStatus = "Failed" Yes
$.oneOf[1].ResponseCodeinteger Yes
$.oneOf[1].ResponseMessageAPIResponseMessage Yes
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Yes
$.oneOf[1].ResponseMessage.oneOf[1]array Yes
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object Yes
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Response example
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/get_incoming_payment_session",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Name": "synthetic-example",
        "MetaInformation": [],
        "KeyValueList": [],
        "KeyValueFieldList": []
    }
}
Machine-readable endpoint documentation
GET

/v1/account/get_ledger

#
Returns paginated ledger entries for one account owned by the acting API user. Admin tools should access another user's ledger through the dispatcher impersonationUserAlias parameter; this endpoint still validates the account against the effective API user.

Parameters

NameTypeRequiredDefaultDescription
accountID string Yes — Account ID owned by the acting API user.
pageNumber int No 0 Zero-based page number.
pageLength int No 50 Number of ledger rows to return, capped at 200.
Request example (cURL)
curl --get \
  'https://ca.appointmenttrader.com/v1/account/get_ledger' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'accountID={{accountID}}' \
  --data-urlencode 'pageNumber={{pageNumber}}' \
  --data-urlencode 'pageLength={{pageLength}}'

Returns

JSON
See the shared response schema and synthetic example.
Response fields
FieldTypeRequiredDescription
$account_get_ledger_Response Yes
$.oneOf[0] Yes
$.oneOf[0].allOf[0]object Yes
$.oneOf[0].allOf[0].RequestUserAliasstring Yes
$.oneOf[0].allOf[0].RequestPathstring | null Yes
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Yes
$.oneOf[0].allOf[0].ResponseCodeinteger Yes
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object Yes
$.oneOf[0].allOf[1].Payloadobject Yes
$.oneOf[0].allOf[1].Payload.Accountobject Yes
$.oneOf[0].allOf[1].Payload.Account.Currencystring Yes
$.oneOf[0].allOf[1].Payload.Account.CurrencySymbolstring Yes
$.oneOf[0].allOf[1].Payload.Account.CreatedDatestring Yes
$.oneOf[0].allOf[1].Payload.Account.LastUpdateDatestring Yes
$.oneOf[0].allOf[1].Payload.Account.Namestring Yes
$.oneOf[0].allOf[1].Payload.Account.Descriptionstring Yes
$.oneOf[0].allOf[1].Payload.Account.IDDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.ID.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.Account.ID.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.Account.ATUser_IDDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.ATUser_ID.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.Account.ATUser_ID.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.Account.CurrencyCreditLimitDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.CurrencyCreditLimit.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.Account.CurrencyCreditLimit.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.Account.PayoutDefaultBasisPointsDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.PayoutDefaultBasisPoints.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.Account.PayoutDefaultBasisPoints.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.Account.PointsCreditLimitDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.PointsCreditLimit.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.Account.PointsCreditLimit.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.Account.IsATCorporateAccountDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.IsATCorporateAccount.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.Account.IsATCorporateAccount.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.Account.IsDefaultDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.IsDefault.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.Account.IsDefault.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.Account.IsDepositAccountDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.IsDepositAccount.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.Account.IsDepositAccount.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.Account.CurrencyBalanceDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.CurrencyBalance.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.Account.CurrencyBalance.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.Account.PointsBalanceDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.PointsBalance.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.Account.PointsBalance.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.Ledgerarray Yes
$.oneOf[0].allOf[1].Payload.Ledger[]object No
$.oneOf[0].allOf[1].Payload.Ledger[].CreatedDatestring Yes
$.oneOf[0].allOf[1].Payload.Ledger[].LastUpdateDatestring Yes
$.oneOf[0].allOf[1].Payload.Ledger[].Namestring Yes
$.oneOf[0].allOf[1].Payload.Ledger[].Descriptionstring Yes
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationObjectstring YesStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].IDDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].ID.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.Ledger[].ID.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyAmountDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyAmount.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyAmount.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.Ledger[].PointsAmountDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].PointsAmount.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.Ledger[].PointsAmount.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyBalanceDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyBalance.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyBalance.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.Ledger[].PointsBalanceDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].PointsBalance.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.Ledger[].PointsBalance.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID Yes
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[0]DatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID Yes
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[0]DatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[0].oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID Yes
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[0]DatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[0].oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID Yes
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[0]DatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[0].oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[0].oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationID Yes
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationID.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationID.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.Ledger[].SupplementalURL Yes
$.oneOf[0].allOf[1].Payload.Ledger[].SupplementalURL.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.Ledger[].SupplementalURL.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-RefundObject YesStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-RefundObject.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-RefundObject.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-DisputeObject YesStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-DisputeObject.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-DisputeObject.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-RefundObject YesStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-RefundObject.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-RefundObject.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-DisputeObject YesStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-DisputeObject.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-DisputeObject.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.Ledger[].RefundInstruction YesStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].RefundInstruction.anyOf[0]string Yes
$.oneOf[0].allOf[1].Payload.Ledger[].RefundInstruction.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.Ledger[].TransactionTypestring ["DEBIT","CREDIT"] Yes
$.oneOf[0].allOf[1].Payload.Pageobject Yes
$.oneOf[0].allOf[1].Payload.Page.PageNumberinteger Yes
$.oneOf[0].allOf[1].Payload.Page.PageLengthinteger Yes
$.oneOf[0].allOf[1].Payload.Page.NextPageNumber Yes
$.oneOf[0].allOf[1].Payload.Page.NextPageNumber.anyOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.Page.NextPageNumber.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.Page.PreviousPageNumber Yes
$.oneOf[0].allOf[1].Payload.Page.PreviousPageNumber.anyOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.Page.PreviousPageNumber.anyOf[1]null Yes
$.oneOf[0].allOf[1].Payload.Page.HasMoreboolean Yes
$.oneOf[1]object Yes
$.oneOf[1].RequestUserAliasstring Yes
$.oneOf[1].RequestPathstring | null Yes
$.oneOf[1].RequestStatus = "Failed" Yes
$.oneOf[1].ResponseCodeinteger Yes
$.oneOf[1].ResponseMessageAPIResponseMessage Yes
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Yes
$.oneOf[1].ResponseMessage.oneOf[1]array Yes
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object Yes
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Response example
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/get_ledger",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Account": {
            "Currency": "synthetic-example",
            "CurrencySymbol": "synthetic-example",
            "CreatedDate": "synthetic-example",
            "LastUpdateDate": "synthetic-example",
            "Name": "synthetic-example",
            "Description": "synthetic-example",
            "ID": 0,
            "ATUser_ID": 0,
            "CurrencyCreditLimit": 0,
            "PayoutDefaultBasisPoints": 0,
            "PointsCreditLimit": 0,
            "IsATCorporateAccount": 0,
            "IsDefault": 0,
            "IsDepositAccount": 0,
            "CurrencyBalance": 0,
            "PointsBalance": 0
        },
        "Ledger": [],
        "Page": {
            "PageNumber": 0,
            "PageLength": 0,
            "NextPageNumber": 0,
            "PreviousPageNumber": 0,
            "HasMore": false
        }
    }
}
Machine-readable endpoint documentation
GET

/v1/account/get_list

#
Returns all available user accounts including their balances and if applicable credit limits in the smallest possible currency unit

Parameters

NameTypeRequiredDefaultDescription
searchFilter string No "" filter criteria
includeDepositAccount bool No false defines if deposit account should be return
pageSize int No 50 Defines how many results will be return per request
pageNumber int No 0 Defines which page should be returned
includeCorporateAccounts bool No false Admin-only flag to include corporate accounts owned by the inspected user.
includeHiddenAccounts bool No false Admin-only flag to include hidden accounts owned by the inspected user.
Request example (cURL)
curl --get \
  'https://ca.appointmenttrader.com/v1/account/get_list' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'searchFilter={{searchFilter}}' \
  --data-urlencode 'includeDepositAccount={{includeDepositAccount}}' \
  --data-urlencode 'pageSize={{pageSize}}' \
  --data-urlencode 'pageNumber={{pageNumber}}' \
  --data-urlencode 'includeCorporateAccounts={{includeCorporateAccounts}}' \
  --data-urlencode 'includeHiddenAccounts={{includeHiddenAccounts}}'

Returns

JSON
See the shared response schema and synthetic example.
Response fields
FieldTypeRequiredDescription
$account_get_list_Response Yes
$.oneOf[0] Yes
$.oneOf[0].allOf[0]object Yes
$.oneOf[0].allOf[0].RequestUserAliasstring Yes
$.oneOf[0].allOf[0].RequestPathstring | null Yes
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Yes
$.oneOf[0].allOf[0].ResponseCodeinteger Yes
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object Yes
$.oneOf[0].allOf[1].Payloadobject Yes
$.oneOf[0].allOf[1].Payload.ATResponseObjectType = "NestedKeyValueList" Yes
$.oneOf[0].allOf[1].Payload.ResponseBodyobject Yes
$.oneOf[0].allOf[1].Payload.ResponseBody.Namestring Yes
$.oneOf[0].allOf[1].Payload.ResponseBody.MetaInformationarray Yes
$.oneOf[0].allOf[1].Payload.ResponseBody.MetaInformation[]string No
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueListarray Yes
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[]object No
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountNamestring Yes
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountDescriptionstring Yes
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencystring Yes
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencySymbolstring Yes
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountNameAndBalancestring Yes
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIDDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountID.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountID.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyBalanceDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyBalance.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyBalance.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsBalanceDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsBalance.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsBalance.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyCreditLimitDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyCreditLimit.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyCreditLimit.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsCreditLimitDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsCreditLimit.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsCreditLimit.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIsCorporateDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIsCorporate.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIsCorporate.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountAvailableCurrencyBalancenumber Yes
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountAvailablePointsBalancenumber Yes
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueFieldListarray Yes
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueFieldList[]string No
$.oneOf[1]object Yes
$.oneOf[1].RequestUserAliasstring Yes
$.oneOf[1].RequestPathstring | null Yes
$.oneOf[1].RequestStatus = "Failed" Yes
$.oneOf[1].ResponseCodeinteger Yes
$.oneOf[1].ResponseMessageAPIResponseMessage Yes
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Yes
$.oneOf[1].ResponseMessage.oneOf[1]array Yes
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object Yes
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Response example
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/get_list",
    "RequestUserAlias": "example-user",
    "Payload": {
        "ATResponseObjectType": "NestedKeyValueList",
        "ResponseBody": {
            "Name": "synthetic-example",
            "MetaInformation": [],
            "KeyValueList": [],
            "KeyValueFieldList": []
        }
    }
}
Machine-readable endpoint documentation
POST

/v1/account/set_start_incoming_payment_session

#
Creates an incoming payments session which will be credited to API users main account. The gross amount will be discounted, and the discounted expected payment will be returned

Parameters

NameTypeRequiredDefaultDescription
paymentType string Yes — Type of payment used
grossAmount int Yes — Amount that shall be received by the transaction
transactionReferenceID string Yes — this reference number can be used to avoid creating new payments sessions for the same checkout flow, if an active payments session for this transactionReferenceID exists the ExpiryTime will extended by the payment types sessionLifetime
transactionDescription string Yes — this description will reflect on the users account detailing what the charge was for.
isWritingRequest bool No false all set_[...] functions have this parameter - if false (which is default) the method will execute without writing any data. Set this parameter to true once you are sure that you tested your logic and want to execute a writing request
Request example (cURL)
curl --request POST \
  'https://ca.appointmenttrader.com/v1/account/set_start_incoming_payment_session' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'paymentType={{paymentType}}' \
  --data-urlencode 'grossAmount={{grossAmount}}' \
  --data-urlencode 'transactionReferenceID={{transactionReferenceID}}' \
  --data-urlencode 'transactionDescription={{transactionDescription}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

Returns

JSON
See the shared response schema and synthetic example.
Response fields
FieldTypeRequiredDescription
$account_set_start_incoming_payment_session_Response Yes
$.oneOf[0] Yes
$.oneOf[0].allOf[0]object Yes
$.oneOf[0].allOf[0].RequestUserAliasstring Yes
$.oneOf[0].allOf[0].RequestPathstring | null Yes
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" Yes
$.oneOf[0].allOf[0].ResponseCodeinteger Yes
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object Yes
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object Yes
$.oneOf[0].allOf[1].Payloadobject Yes
$.oneOf[0].allOf[1].Payload.Namestring Yes
$.oneOf[0].allOf[1].Payload.MetaInformationarray Yes
$.oneOf[0].allOf[1].Payload.MetaInformation[]string No
$.oneOf[0].allOf[1].Payload.KeyValueListarray Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[]object No
$.oneOf[0].allOf[1].Payload.KeyValueList[].uniquePaymentSessionIDstring Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].createDatestring Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].lastUpdateDatestring Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].expiryDatestring Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].sessionStatusstring ["active","expired"] Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentTypestring Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSecondsDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].userAliasstring Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionReferenceIDstring Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionDescriptionstring Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmountDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmountDatabaseInteger YesInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[0]integer Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[1]string Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0]object Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].DestinationAccountstring No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[0]string | number | boolean | null No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1]array No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1][]PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2]object No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2].*PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1]array Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][]PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[0]string | number | boolean | null No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1]array No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1][]PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2]object No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2].*PaymentConfigurationValue No
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[2]string | number | boolean | null Yes
$.oneOf[0].allOf[1].Payload.KeyValueList[].fundingStatusstring ["not_funded","funded"] Yes
$.oneOf[0].allOf[1].Payload.KeyValueFieldListarray Yes
$.oneOf[0].allOf[1].Payload.KeyValueFieldList[]string No
$.oneOf[1]object Yes
$.oneOf[1].RequestUserAliasstring Yes
$.oneOf[1].RequestPathstring | null Yes
$.oneOf[1].RequestStatus = "Failed" Yes
$.oneOf[1].ResponseCodeinteger Yes
$.oneOf[1].ResponseMessageAPIResponseMessage Yes
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null Yes
$.oneOf[1].ResponseMessage.oneOf[1]array Yes
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object Yes
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Response example
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/set_start_incoming_payment_session",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Name": "synthetic-example",
        "MetaInformation": [],
        "KeyValueList": [],
        "KeyValueFieldList": []
    }
}
Machine-readable endpoint documentation